---
title: Support & Help
---

> We offer a variety of support options, mostly free of charge. If you need help, the community is here for you.

## Discord

We are fortunate to have a growing community of Filament users that help each other out on our [Discord server](https://filamentphp.com/discord). Join now, its free!
We also have many dedicated channels in different languages. Currently, we have channels for the following languages:

- [#ar](https://discord.com/channels/883083792112300104/961199444789973024) - Arabic 🇸🇦
- [#de](https://discord.com/channels/883083792112300104/998221767850070057) - German 🇩🇪
- [#es](https://discord.com/channels/883083792112300104/1049794522181275749) - Spanish 🇪🇸
- [#fa](https://discord.com/channels/883083792112300104/1042736860826443807) - Farsi 🇮🇷
- [#fr](https://discord.com/channels/883083792112300104/978572814317682688) - French 🇫🇷
- [#id](https://discord.com/channels/883083792112300104/1051444835254538271) - Indonesian 🇮🇩
- [#it](https://discord.com/channels/883083792112300104/979015654675996672) - Italian 🇮🇹
- [#nl](https://discord.com/channels/883083792112300104/998685582031061102) - Dutch 🇳🇱
- [#pt-br](https://discord.com/channels/883083792112300104/966832715536162846) - Portuguese (Brazil) 🇧🇷
- [#tr](https://discord.com/channels/883083792112300104/988729996803702794) - Turkish 🇹🇷
- [#ko](https://discord.com/channels/883083792112300104/1221712398017232926) - Korean 🇰🇷

If you are missing a channel for your language, please let us know and we will create one for you.

## GitHub

You can also reach out to us on our [GitHub community forum](https://github.com/filamentphp/filament/discussions). Where our community members and maintainers are happy to help you out.

If you find a bug, you can open an [issue](https://github.com/filamentphp/filament/issues/new/choose), and even donate to the bug fix by using the link automatically added to the bottom of every new issue description.

If you have a feature request, you can create a discussion on GitHub [following these instructions](contributing#development-of-new-features). If you are not planning to contribute the feature yourself but the core team adds it to the roadmap, an issue will be created which you are able to fast-track its development by donating money to it using the link added to the bottom of the issue description.

## One-on-one private support & consulting (paid)

If you're looking for dedicated help with your Filament project, we're here for you. Whether you're a solo developer or running a large company, we provide support and development services that fit your needs. More information can be found on our [consulting page](https://filamentphp.com/consulting).

## Laracasts

[Laracasts](https://laracasts.com) has a dedicated [Filament help section](https://laracasts.com/discuss/channels/filament) where you can ask questions and get help from their community.
Additionally on Laracasts you can find two excellent courses about Filament:

- [Rapid Laravel Apps With Filament](https://laracasts.com/series/rapid-laravel-development-with-filament)
- [Build Advanced Components for Filament](https://laracasts.com/series/build-advanced-components-for-filament) by one of the creators of Filament.

> An active subscription may be required to access these parts of these courses.

## Google

Since we make use of [AnswerOverflow](https://www.answeroverflow.com/c/883083792112300104) on our [Discord](#discord) server, you are often one Google search away from finding an answer to your question or at least a hint on how to solve your problem. You may also find results from [GitHub](#github), the [Laracasts forum](#laracasts), or even Stack Overflow.

## Helping others

We would like to encourage you to join any of the above platforms and help yourself and our community out. Additionally, we would like to encourage you to [contribute](https://filamentphp.com/docs/3.x/support/contributing) to Filament itself. We are always looking for new contributors to help us improve Filament.
